Subject: [Lwip] Comments on draft-deng-lwip-ps-01

From: Sheng Jiang <[email-masked]>
Date: Wed, 03 Nov 2010 14:59:18 +0800

Hi, Hui,

First of all, I would say this draft is a good informational document. It provides many useful
information on why we need to work on this and the current issues.

However, I personally find section 4 "Current Implementations" is a little bit disconnected from
the other parts of this document. For me, the logic should be you lists current implementations,
then analyzes which of them have unsolved issues or they have several common issues. Therefore, in
section 5, you should have a lot of pointer to these implementations. From the current draft, I am
little bit difficult to figure out what the current gap between the existing implementation and
what the ideal is. Also, there is confusion between section 4.3 lwip and the document name lwip.
Are they the same? What's the relationship between them? Is your proposal fully based on this
implementation? This need clear clarification or you may want to rename your proposed new work.

Overall, I like this document and it opens new requirements for Internet. These works may help
Internet to be extended as widely as possible.

Regards,

Sheng